Bug 1784416 - Pantheon Session refuses to launch if gnome-disk-utility is uninstalled
Summary: Pantheon Session refuses to launch if gnome-disk-utility is uninstalled
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pantheon-session-settings
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Fabio Valentini
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-12-17 11:45 UTC by marlock9
Modified: 2020-01-05 00:40 UTC (History)
2 users (show)

Fixed In Version: pantheon-session-settings-31.0-2.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-12-20 09:25:13 UTC
Type: Bug


Attachments (Terms of Use)
journalctl log (341.92 KB, text/plain)
2019-12-17 11:45 UTC, marlock9
no flags Details

Description marlock9 2019-12-17 11:45:20 UTC
Created attachment 1645864 [details]
journalctl log

Description of problem:
Pantheon Session refuses to launch from GDM if gnome-disk-utility is uninstalled. LightDM have not tested.

Version-Release number of selected component (if applicable):
31.0-1.fc31

How reproducible:
always

Steps to Reproduce:
1. dnf uninstall gnome-disk-utility
2. reboot or systemctl restart gdm
3. try to launch a Pantheon session

Actual results:
"Oops, something go wrong" etc.

Expected results:
Session launches

Additional info:
  2345 Dec 17 14:26:38 fedora-desktop gnome-session[1478]: gnome-session-binary[1478]: WARNING: Unable to find required component 'org.gnome.SettingsDaemon.DiskUtilityNotify'
  2346 Dec 17 14:26:38 fedora-desktop gnome-session-binary[1478]: WARNING: Unable to find required component 'org.gnome.SettingsDaemon.DiskUtilityNotify'
  2347 Dec 17 14:26:38 fedora-desktop gnome-session-binary[1478]: Entering running state

+ whole journalctl log in attachments

Comment 1 Fabio Valentini 2019-12-18 19:11:48 UTC
Ok, I see the issue: I assumed this desktop file was provided by gnome-settings-daemon, but it's actually provieded by gnome-disk-utility.
I'll explicity require that package with the next pantheon-session-settings-update.

Comment 2 Fedora Update System 2019-12-19 01:10:12 UTC
pantheon-session-settings-31.0-2.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-d806508507

Comment 3 marlock9 2019-12-20 09:25:13 UTC
Bug may be closed. I don't know what resolution I should choose.

Comment 4 Fedora Update System 2020-01-05 00:40:29 UTC
pantheon-session-settings-31.0-2.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.